<?php

/**
*
* @package - Holiday Snow
* @version $Id: acp_holiday_snow.php 2011-12-04 12:34 victory1 $
* @copyright (c) victory1 ( http://www.sonyreaderboards.com )
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @ignore
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

/**
* @package acp
*/
class acp_holiday_snow
{
	var $u_action;

	function main($id, $mode)
	{
		global $db, $user, $auth, $template, $cache;
		global $config, $phpbb_root_path, $phpbb_admin_path, $phpEx;

		include($phpbb_root_path . 'includes/acp/info/acp_holiday_snow.' . $phpEx);

		$user->add_lang('acp/common');
		$this->tpl_name = 'acp_holiday_snow';
		$this->page_title = $user->lang['HOLIDAY_SNOW_MOD'];
		add_form_key('acp_holiday_snow');

		$submit = (isset($_POST['submit'])) ? true : false;
		if ($submit)
		{
			if (!check_form_key('acp_holiday_snow'))
			{
				trigger_error('FORM_INVALID');
			}

			set_config('snow_enabled', request_var('snow_enabled', 0));

			trigger_error($user->lang['SNOW_SAVED'] . adm_back_link($this->u_action));
		}
		
		$template->assign_vars(array(
			'SNOW_ENABLED'      => $config['snow_enabled'],
			'U_ACTION'      => $this->u_action,
		));
	}
}

?>